%define pypi_name dnspython

Name:          python3-dnspython
Summary:       DNS toolkit for Python
Version:       2.1.0
Release:       %mkrel 1
License:       MIT
Group:         Development/Python
URL:           https://pypi.org/project/dnspython/
Source0:       %{pypi_name}-%{version}.tar.xz
BuildArch:     noarch
BuildRequires: pkgconfig(python3)
BuildRequires: python3-setuptools
BuildRequires: python3-cryptography
BuildRequires: python3-trio
BuildRequires: python3-curio
BuildRequires: python3-sniffio
BuildRequires: python3-requests
BuildRequires: python3-requests-toolbelt
BuildRequires: python3-idna
%{?python_extras_subpkg:%python_extras_subpkg -n python3-dns -i %{python3_sitelib}/*.egg-info dnssec trio doh idna}
#-------------------------------------------------------
Requires: python3-cryptography
Requires: python3-trio
Requires: python3-curio
Requires: python3-sniffio
Requires: python3-requests
Requires: python3-requests-toolbelt
Requires: python3-idna
#-------------------------------------------------------

%description
dnspython is a DNS toolkit for Python. It supports almost all record
types. It can be used for queries, zone transfers, and dynamic updates.
It supports TSIG authenticated messages and EDNS0.

dnspython provides both high and low level access to DNS. The high level
classes perform queries for data of a given name, type, and class, and
return an answer set. The low level classes allow direct manipulation
of DNS zones, messages, names, and records.


%prep
%setup -q -n dnspython-%version

# drop bundled egg-info
rm -rf %{pypi_name}.egg-info

# strip executable permissions so that we don't pick up dependencies
# from documentation
find examples -type f | xargs chmod a-x

%build
%py3_build

%install
%py3_install

%files -n python3-dnspython
%{python3_sitelib}/*egg-info
%{python3_sitelib}/dns

%changelog
* Sun Aug 07 2022 tex - 2.1.0-1pclos2022
- new version
